<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1_quaternion.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">flair::core::Quaternion Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#ae3cf1c1892b4d1c70ca055e42709f9df">Conjugate</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#a9be083f02e545535ba9dde0dd2ecbcb7">Derivate</a>(const Vector3Df &amp;angularSpeed)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#ab7b4f5b1f7419f6179f4fccc49e4e173">GetConjugate</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#a08b196fb32f87dd62e6a3906e5ecaf2c">GetDerivative</a>(const Vector3Df &amp;angularSpeed) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#a4753cafd0c78d78a6e6d0200a4cc596f">GetLogarithm</a>(Vector3Df &amp;logarithm)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#abbda897244c722294de3812bfe7a595b">GetLogarithm</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#a6931ec913f61c9708ef5970e63f8b0b5">GetNorm</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3">Normalize</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator+=</b>(const Quaternion &amp;quaternion) (defined in <a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator-=</b>(const Quaternion &amp;quaternion) (defined in <a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(const Quaternion &amp;quaternion) (defined in <a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#a5394aa98e53d17253efd3c5eaca11fb2">q0</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#aaaea36fb6b8a1ae444f879e509cb4db5">q1</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#a47c497424771521c976143ef07bc7da1">q2</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#aabf0e55b55e7c66716494c5d7f343e70">q3</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#a35151d7d2158d0a4714a66d2d426cf9c">Quaternion</a>(float q0=1, float q1=0, float q2=0, float q3=0)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#a5d45a89dbbb73633701e344259e8b003">ToEuler</a>(Euler &amp;euler) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#ad98cdabf355956519d718aac330174ef">ToEuler</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#a29d40f4afe4fa2f79a08a09619a4fc1a">ToRotationMatrix</a>(RotationMatrix &amp;matrix) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html#a7aa88aa352e17590e0f9b454357fdbfc">~Quaternion</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
